Fingerprint_Card

Loading...
Searching...
No Matches
Zwipe.Build.Build.Xcode Class Referencesealed
Inheritance diagram for Zwipe.Build.Build.Xcode:
[legend]
Collaboration diagram for Zwipe.Build.Build.Xcode:
[legend]

## Public Member Functions
override bool | Execute ()

## Properties
ITaskItem[] | Projects`[get, set]`

## Private Types
enum | Phase { Archive , ExportArchive }

## Private Member Functions
void | OnStandardOutputReceived (string text)
void | OnStandardErrorReceived (string text)

## Static Private Attributes
const string | XcodeExecutable = "xcodebuild"
const string | ProjectItemPhaseTag = "Phase"
const string | ProjectItemProductsDirectoryTag = "ProductsDirectory"
const string | ProjectItemArchivePropertiesTag = "ArchiveProperties"
const string | ProjectItemExportPropertiesTag = "ExportProperties"
const string | ProjectItemExportOptionsPlistTag = "ExportOptionsPlist"
const char | SeparatorPhase = ';'
const string | DefaultArchiveProperties = "-destination generic/platform=iOS -allowProvisioningUpdates"
const string | DefaultExportProperties = "-allowProvisioningUpdates"
const string | DefaultExportOptionsPlist = "ExportOptions.plist"
static readonly string | DefaultProductsDirectory = Path.Combine("Bin", "iOS")
static readonly Phase[] | DefaultPhase = new[] { Phase.Archive, Phase.ExportArchive }

## Member Enumeration Documentation

## ◆ Phase

enum Zwipe.Build.Build.Xcode.Phase
| private

Enumerator
Archive |
ExportArchive |

## Member Function Documentation

## ◆ Execute()

override bool Zwipe.Build.Build.Xcode.Execute | ( |  | ) |

Here is the call graph for this function:

## ◆ OnStandardErrorReceived()

void Zwipe.Build.Build.Xcode.OnStandardErrorReceived | ( | string | text | ) |
| private

Here is the caller graph for this function:

## ◆ OnStandardOutputReceived()

void Zwipe.Build.Build.Xcode.OnStandardOutputReceived | ( | string | text | ) |
| private

Here is the caller graph for this function:

## Member Data Documentation

## ◆ DefaultArchiveProperties

const string Zwipe.Build.Build.Xcode.DefaultArchiveProperties = "-destination generic/platform=iOS -allowProvisioningUpdates"
| static private

## ◆ DefaultExportOptionsPlist

const string Zwipe.Build.Build.Xcode.DefaultExportOptionsPlist = "ExportOptions.plist"
| static private

## ◆ DefaultExportProperties

const string Zwipe.Build.Build.Xcode.DefaultExportProperties = "-allowProvisioningUpdates"
| static private

## ◆ DefaultPhase

readonly Phase [] Zwipe.Build.Build.Xcode.DefaultPhase = new[] { Phase.Archive, Phase.ExportArchive }
| static private

## ◆ DefaultProductsDirectory

readonly string Zwipe.Build.Build.Xcode.DefaultProductsDirectory = Path.Combine("Bin", "iOS")
| static private

## ◆ ProjectItemArchivePropertiesTag

const string Zwipe.Build.Build.Xcode.ProjectItemArchivePropertiesTag = "ArchiveProperties"
| static private

## ◆ ProjectItemExportOptionsPlistTag

const string Zwipe.Build.Build.Xcode.ProjectItemExportOptionsPlistTag = "ExportOptionsPlist"
| static private

## ◆ ProjectItemExportPropertiesTag

const string Zwipe.Build.Build.Xcode.ProjectItemExportPropertiesTag = "ExportProperties"
| static private

## ◆ ProjectItemPhaseTag

const string Zwipe.Build.Build.Xcode.ProjectItemPhaseTag = "Phase"
| static private

## ◆ ProjectItemProductsDirectoryTag

const string Zwipe.Build.Build.Xcode.ProjectItemProductsDirectoryTag = "ProductsDirectory"
| static private

## ◆ SeparatorPhase

const char Zwipe.Build.Build.Xcode.SeparatorPhase = ';'
| static private

## ◆ XcodeExecutable

const string Zwipe.Build.Build.Xcode.XcodeExecutable = "xcodebuild"
| static private

## Property Documentation

## ◆ Projects

ITaskItem [] Zwipe.Build.Build.Xcode.Projects
| get set

The documentation for this class was generated from the following file:

- Zwipe.Build/Build/Xcode.cs